# Generated by Django 4.1.5 on 2023-02-07 09:36

import common.utils
from django.conf import settings
import django.core.validators
from django.db import migrations, models
import django.db.models.deletion
import uuid


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('common', '0004_alter_department_department_members_config'),
        ('projects', '0007_alter_project_display_picture'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Contract',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('from_date', models.DateField(blank=True, null=True)),
                ('to_date', models.DateField(blank=True, null=True)),
                ('status', models.CharField(choices=[('Proposed', 'Proposed'), ('Acknowledged', 'Acknowledged'), ('Employee Submitted', 'Employee Submitted'), ('Employee Resubmit', 'Employee Resubmit'), ('Contract Drafting', 'Contract Drafting'), ('Contract Redrafting', 'Contract Redrafting'), ('Contract Draft Review', 'Contract Draft Review'), ('Contract Drafted', 'Contract Drafted'), ('Proposer Acknowledged', 'Proposer Acknowledged'), ('Signed', 'Signed')], default='Proposed', max_length=50)),
                ('eligible_for_missions', models.BooleanField(default=False)),
                ('nationality', models.CharField(choices=[('Afghan', 'Afghan'), ('Albanian', 'Albanian'), ('Algerian', 'Algerian'), ('American', 'American'), ('Andorran', 'Andorran'), ('Angolan', 'Angolan'), ('Antiguans', 'Antiguans'), ('Argentinean', 'Argentinean'), ('Armenian', 'Armenian'), ('Australian', 'Australian'), ('Austrian', 'Austrian'), ('Azerbaijani', 'Azerbaijani'), ('Bahamian', 'Bahamian'), ('Bahraini', 'Bahraini'), ('Bangladeshi', 'Bangladeshi'), ('Barbadian', 'Barbadian'), ('Barbudans', 'Barbudans'), ('Batswana', 'Batswana'), ('Belarusian', 'Belarusian'), ('Belgian', 'Belgian'), ('Belizean', 'Belizean'), ('Beninese', 'Beninese'), ('Bhutanese', 'Bhutanese'), ('Bolivian', 'Bolivian'), ('Bosnian', 'Bosnian'), ('Brazilian', 'Brazilian'), ('British', 'British'), ('Bruneian', 'Bruneian'), ('Bulgarian', 'Bulgarian'), ('Burkinabe', 'Burkinabe'), ('Burmese', 'Burmese'), ('Burundian', 'Burundian'), ('Cambodian', 'Cambodian'), ('Cameroonian', 'Cameroonian'), ('Canadian', 'Canadian'), ('Cape Verdean', 'Cape Verdean'), ('Central African', 'Central African'), ('Chadian', 'Chadian'), ('Chilean', 'Chilean'), ('Chinese', 'Chinese'), ('Colombian', 'Colombian'), ('Comoran', 'Comoran'), ('Congolese', 'Congolese'), ('Costa Rican', 'Costa Rican'), ('Croatian', 'Croatian'), ('Cuban', 'Cuban'), ('Cypriot', 'Cypriot'), ('Czech', 'Czech'), ('Danish', 'Danish'), ('Djibouti', 'Djibouti'), ('Dominican', 'Dominican'), ('Dutch', 'Dutch'), ('Dutchman', 'Dutchman'), ('Dutchwoman', 'Dutchwoman'), ('East Timorese', 'East Timorese'), ('Ecuadorean', 'Ecuadorean'), ('Egyptian', 'Egyptian'), ('Emirian', 'Emirian'), ('Equatorial Guinean', 'Equatorial Guinean'), ('Eritrean', 'Eritrean'), ('Estonian', 'Estonian'), ('Ethiopian', 'Ethiopian'), ('Fijian', 'Fijian'), ('Filipino', 'Filipino'), ('Finnish', 'Finnish'), ('French', 'French'), ('Gabonese', 'Gabonese'), ('Gambian', 'Gambian'), ('Georgian', 'Georgian'), ('German', 'German'), ('Ghanaian', 'Ghanaian'), ('Greek', 'Greek'), ('Grenadian', 'Grenadian'), ('Guatemalan', 'Guatemalan'), ('Guinea-Bissauan', 'Guinea-Bissauan'), ('Guinean', 'Guinean'), ('Guyanese', 'Guyanese'), ('Haitian', 'Haitian'), ('Herzegovinian', 'Herzegovinian'), ('Honduran', 'Honduran'), ('Hungarian', 'Hungarian'), ('I-Kiribati', 'I-Kiribati'), ('Icelander', 'Icelander'), ('Indian', 'Indian'), ('Indonesian', 'Indonesian'), ('Iranian', 'Iranian'), ('Iraqi', 'Iraqi'), ('Irish', 'Irish'), ('Israeli', 'Israeli'), ('Italian', 'Italian'), ('Ivorian', 'Ivorian'), ('Jamaican', 'Jamaican'), ('Japanese', 'Japanese'), ('Jordanian', 'Jordanian'), ('Kazakhstani', 'Kazakhstani'), ('Kenyan', 'Kenyan'), ('Kittian and Nevisian', 'Kittian and Nevisian'), ('Kuwaiti', 'Kuwaiti'), ('Kyrgyz', 'Kyrgyz'), ('Laotian', 'Laotian'), ('Latvian', 'Latvian'), ('Lebanese', 'Lebanese'), ('Liberian', 'Liberian'), ('Libyan', 'Libyan'), ('Liechtensteiner', 'Liechtensteiner'), ('Lithuanian', 'Lithuanian'), ('Luxembourger', 'Luxembourger'), ('Macedonian', 'Macedonian'), ('Malagasy', 'Malagasy'), ('Malawian', 'Malawian'), ('Malaysian', 'Malaysian'), ('Maldivan', 'Maldivan'), ('Malian', 'Malian'), ('Maltese', 'Maltese'), ('Marshallese', 'Marshallese'), ('Mauritanian', 'Mauritanian'), ('Mauritian', 'Mauritian'), ('Mexican', 'Mexican'), ('Micronesian', 'Micronesian'), ('Moldovan', 'Moldovan'), ('Monacan', 'Monacan'), ('Mongolian', 'Mongolian'), ('Moroccan', 'Moroccan'), ('Mosotho', 'Mosotho'), ('Motswana', 'Motswana'), ('Mozambican', 'Mozambican'), ('Namibian', 'Namibian'), ('Nauruan', 'Nauruan'), ('Nepalese', 'Nepalese'), ('Netherlander', 'Netherlander'), ('New Zealander', 'New Zealander'), ('Ni-Vanuatu', 'Ni-Vanuatu'), ('Nicaraguan', 'Nicaraguan'), ('Nigerian', 'Nigerian'), ('Nigerien', 'Nigerien'), ('North Korean', 'North Korean'), ('Northern Irish', 'Northern Irish'), ('Norwegian', 'Norwegian'), ('Omani', 'Omani'), ('Pakistani', 'Pakistani'), ('Palauan', 'Palauan'), ('Panamanian', 'Panamanian'), ('Papua New Guinean', 'Papua New Guinean'), ('Paraguayan', 'Paraguayan'), ('Peruvian', 'Peruvian'), ('Polish', 'Polish'), ('Portuguese', 'Portuguese'), ('Qatari', 'Qatari'), ('Romanian', 'Romanian'), ('Russian', 'Russian'), ('Rwandan', 'Rwandan'), ('Saint Lucian', 'Saint Lucian'), ('Salvadoran', 'Salvadoran'), ('Samoan', 'Samoan'), ('San Marinese', 'San Marinese'), ('Sao Tomean', 'Sao Tomean'), ('Saudi', 'Saudi'), ('Scottish', 'Scottish'), ('Senegalese', 'Senegalese'), ('Serbian', 'Serbian'), ('Seychellois', 'Seychellois'), ('Sierra Leonean', 'Sierra Leonean'), ('Singaporean', 'Singaporean'), ('Slovakian', 'Slovakian'), ('Slovenian', 'Slovenian'), ('Solomon Islander', 'Solomon Islander'), ('Somali', 'Somali'), ('South African', 'South African'), ('South Korean', 'South Korean'), ('Spanish', 'Spanish'), ('Sri Lankan', 'Sri Lankan'), ('Sudanese', 'Sudanese'), ('Surinamer', 'Surinamer'), ('Swazi', 'Swazi'), ('Swedish', 'Swedish'), ('Swiss', 'Swiss'), ('Syrian', 'Syrian'), ('Taiwanese', 'Taiwanese'), ('Tajik', 'Tajik'), ('Tanzanian', 'Tanzanian'), ('Thai', 'Thai'), ('Togolese', 'Togolese'), ('Tongan', 'Tongan'), ('Trinidadian or Tobagonian', 'Trinidadian or Tobagonian'), ('Tunisian', 'Tunisian'), ('Turkish', 'Turkish'), ('Tuvaluan', 'Tuvaluan'), ('Ugandan', 'Ugandan'), ('Ukrainian', 'Ukrainian'), ('Uruguayan', 'Uruguayan'), ('Uzbekistani', 'Uzbekistani'), ('Venezuelan', 'Venezuelan'), ('Vietnamese', 'Vietnamese'), ('Welsh', 'Welsh'), ('Yemenite', 'Yemenite'), ('Zambian', 'Zambian'), ('Zimbabwean', 'Zimbabwean')], default='Indian', max_length=128)),
                ('expat', models.BooleanField(default=False)),
                ('budget', models.IntegerField()),
                ('currency', models.CharField(choices=[('INR', 'Indian Rupee'), ('EUR', 'Euro'), ('USD', 'US Dollar')], max_length=10)),
                ('name', models.CharField(blank=True, max_length=255, null=True)),
                ('marital_status', models.CharField(choices=[('married', 'Married'), ('unmarried', 'Unmarried')], default='unmarried', max_length=64)),
                ('date_of_birth', models.DateField(blank=True, null=True)),
                ('email', models.EmailField(blank=True, max_length=255, null=True)),
                ('recent_photo', models.FileField(blank=True, default=None, null=True, upload_to=common.utils.UploadToPathAndRename('contracts/', 'recent_photo_'), validators=[django.core.validators.FileExtensionValidator(['jpg', 'jpeg', 'png']), common.utils.MaxSizeValidator('5MB')])),
                ('cv', models.FileField(blank=True, default=None, null=True, upload_to=common.utils.UploadToPathAndRename('contracts/', 'cv_'), validators=[django.core.validators.FileExtensionValidator(['pdf']), common.utils.MaxSizeValidator('10MB')])),
                ('pan', models.CharField(blank=True, max_length=255, null=True)),
                ('current_address', models.TextField(blank=True, null=True)),
                ('permanent_address', models.TextField(blank=True, null=True)),
                ('permanent_address_proof', models.FileField(blank=True, default=None, null=True, upload_to=common.utils.UploadToPathAndRename('contracts/', 'permanent_address_'), validators=[django.core.validators.FileExtensionValidator(['pdf', 'jpeg', 'jpg']), common.utils.MaxSizeValidator('5MB')])),
                ('emergency_contact_name', models.CharField(blank=True, max_length=255, null=True)),
                ('emergency_contact_relationship', models.CharField(blank=True, max_length=255, null=True)),
                ('emergency_contact_mobile', models.CharField(blank=True, max_length=255, null=True)),
                ('affiliated_to_institution', models.BooleanField(default=False)),
                ('affiliated_institution', models.CharField(blank=True, max_length=255, null=True)),
                ('affiliated_institution_dor', models.DateField(blank=True, default=None, max_length=255, null=True)),
                ('affiliated_institution_email', models.EmailField(blank=True, max_length=255, null=True)),
                ('affiliated_institution_id', models.FileField(blank=True, default=None, null=True, upload_to=common.utils.UploadToPathAndRename('contracts/', 'affiliated_institution_id_'), validators=[django.core.validators.FileExtensionValidator(['pdf', 'jpeg', 'jpg']), common.utils.MaxSizeValidator('5MB')])),
                ('passport', models.FileField(blank=True, default=None, null=True, upload_to=common.utils.UploadToPathAndRename('contracts/', 'passport_'), validators=[django.core.validators.FileExtensionValidator(['pdf', 'jpeg', 'jpg']), common.utils.MaxSizeValidator('5MB')])),
                ('visa_number', models.CharField(blank=True, max_length=255, null=True)),
                ('visa_start_date', models.DateField(blank=True, null=True)),
                ('visa_end_date', models.DateField(blank=True, null=True)),
                ('visa_file', models.FileField(blank=True, default=None, null=True, upload_to=common.utils.UploadToPathAndRename('contracts/', 'visa_'), validators=[django.core.validators.FileExtensionValidator(['pdf', 'jpeg', 'jpg']), common.utils.MaxSizeValidator('5MB')])),
                ('acc_name', models.CharField(blank=True, max_length=100, null=True)),
                ('acc_no', models.CharField(blank=True, max_length=40, null=True)),
                ('branch', models.CharField(blank=True, max_length=100, null=True)),
                ('uid', models.CharField(blank=True, max_length=40, null=True)),
                ('uid_type', models.CharField(blank=True, choices=[('IBAN', 'IBAN'), ('IFSC', 'IFSC'), ('SWIFT', 'SWIFT')], max_length=10, null=True)),
                ('acc_type', models.CharField(blank=True, choices=[('CUR', 'Current Account'), ('SB', 'Savings Account')], max_length=10, null=True)),
                ('bank_name', models.CharField(blank=True, max_length=100, null=True)),
                ('bank_details_proof', models.FileField(blank=True, default=None, null=True, upload_to=common.utils.UploadToPathAndRename('contracts/', 'bank_details_proof_'), validators=[django.core.validators.FileExtensionValidator(['pdf', 'jpeg', 'jpg']), common.utils.MaxSizeValidator('5MB')])),
            ],
        ),
        migrations.CreateModel(
            name='ContractTemplate',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('type', models.CharField(blank=True, max_length=255, null=True)),
                ('get_bank_details', models.BooleanField(default=True)),
                ('get_dependent_for_insurance', models.BooleanField(default=False)),
            ],
        ),
        migrations.CreateModel(
            name='SectionTemplate',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('order', models.IntegerField(default=10)),
                ('tittle', models.CharField(blank=True, max_length=255, null=True)),
                ('description', models.TextField(blank=True, null=True)),
                ('language', models.CharField(choices=[('fr', 'French'), ('en', 'English')], default='fr', max_length=255, null=True)),
                ('contract_template', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='contracts.contracttemplate')),
            ],
        ),
        migrations.CreateModel(
            name='ContractSteps',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('current_step', models.IntegerField()),
                ('next_step', models.IntegerField()),
                ('contract', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to='contracts.contract')),
            ],
        ),
        migrations.CreateModel(
            name='ContractSection',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('order', models.IntegerField(default=10)),
                ('tittle', models.CharField(blank=True, max_length=255, null=True)),
                ('description', models.TextField(blank=True, null=True)),
                ('language', models.CharField(choices=[('fr', 'French'), ('en', 'English')], default='fr', max_length=255, null=True)),
                ('contract', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='contracts.contract')),
            ],
        ),
        migrations.AddField(
            model_name='contract',
            name='contract_type',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='contracts.contracttemplate'),
        ),
        migrations.AddField(
            model_name='contract',
            name='department',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='common.department'),
        ),
        migrations.AddField(
            model_name='contract',
            name='project',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='projects.project'),
        ),
        migrations.AddField(
            model_name='contract',
            name='proposer',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL),
        ),
    ]
